package ru.yandex.webmaster.common.addurl;

import org.joda.time.DateTime;

/**
 * @author aherman
 */
public class PopularHostInfo {
    private final DateTime date;
    private final String backendHost;
    private final String hostname;
    private final int requestCount;

    public PopularHostInfo(DateTime date, String backendHost, String hostname, int requestCount) {
        this.date = date;
        this.backendHost = backendHost;
        this.hostname = hostname;
        this.requestCount = requestCount;
    }

    public DateTime getDate() {
        return date;
    }

    public String getBackendHost() {
        return backendHost;
    }

    public String getHostname() {
        return hostname;
    }

    public int getRequestCount() {
        return requestCount;
    }
}
